package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginPMEFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.PratoReplicacaodeReceitasporServicoPMEPage;
import com.javaseleniumtemplate.pages.UtilizacaoDeProdutosPMEPage;
import org.testng.annotations.Test;

public class UtilizacaodeProdutosPMETest extends TestBase {
    MainPage mainPage;
    MainFlows mainFlows;
    UtilizacaoDeProdutosPMEPage utilizacaodeprodutospage;
    LoginPMEFlows loginpmeflows;

    //Tests 1 - Receita Servico
    @Test
    public void ReceitaServico() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        utilizacaodeprodutospage = new UtilizacaoDeProdutosPMEPage();
        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        utilizacaodeprodutospage.AcessarTela();
        utilizacaodeprodutospage.TelaUtilizacaoProduto();
        utilizacaodeprodutospage.ReceitaServico();
        utilizacaodeprodutospage.SelecionarProduto();
        utilizacaodeprodutospage.SelecionarReceitaServico();
        utilizacaodeprodutospage.PratoInicial();
        utilizacaodeprodutospage.PratoFinal();
        utilizacaodeprodutospage.SelecionarPratoReceitaServico();
        utilizacaodeprodutospage.ClicarAlterarReceita();
        utilizacaodeprodutospage.InformarQuantidadeBruta();
        utilizacaodeprodutospage.InformarGanhoCoccao();
        utilizacaodeprodutospage.InformarPerdaLimpeza();
        utilizacaodeprodutospage.InformarDegelo();
        utilizacaodeprodutospage.InformarHora();
        utilizacaodeprodutospage.InformarApNutricional();
        utilizacaodeprodutospage.ConfirmarAlteracoes();

    }

    // Teste 2 - Receita Padrao
    @Test
    public void ReceitaPadrao() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        utilizacaodeprodutospage = new UtilizacaoDeProdutosPMEPage();
        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        utilizacaodeprodutospage.AcessarTela();
        utilizacaodeprodutospage.TelaUtilizacaoProduto();
        utilizacaodeprodutospage.ReceitaPadrao();
        utilizacaodeprodutospage.SelecionarProduto();
        utilizacaodeprodutospage.SelecionarReceitaPadrao();
        utilizacaodeprodutospage.PratoInicial();
        utilizacaodeprodutospage.PratoFinal();
        utilizacaodeprodutospage.SelecionarPratoReceitaServico();
        utilizacaodeprodutospage.ClicarAlterarReceita();
        utilizacaodeprodutospage.InformarQuantidadeBruta();
        utilizacaodeprodutospage.InformarGanhoCoccao();
        utilizacaodeprodutospage.InformarPerdaLimpeza();
        utilizacaodeprodutospage.InformarDegelo();
        utilizacaodeprodutospage.InformarHora();
        utilizacaodeprodutospage.InformarApNutricional();
        utilizacaodeprodutospage.ConfirmarAlteracoes();
    }

    // Teste 3 Receita Local
    @Test
    public void ReceitaLocal() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        utilizacaodeprodutospage = new UtilizacaoDeProdutosPMEPage();
        String usuario = "francielly.automacao";
        String senha = "Teknisa2023*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        utilizacaodeprodutospage.AcessarTela();
        utilizacaodeprodutospage.TelaUtilizacaoProduto();
        utilizacaodeprodutospage.ReceitaLocal();
        utilizacaodeprodutospage.SelecionarReceitaLocal();
        utilizacaodeprodutospage.PratoInicial();
        utilizacaodeprodutospage.PratoFinal();
        utilizacaodeprodutospage.FormaApresentacao();
        utilizacaodeprodutospage.ClicarAlterarReceita();
        utilizacaodeprodutospage.InformarQuantidadeBruta();
        utilizacaodeprodutospage.InformarGanhoCoccao();
        utilizacaodeprodutospage.InformarPerdaLimpeza();
        utilizacaodeprodutospage.InformarDegelo();
        utilizacaodeprodutospage.InformarHora();
        utilizacaodeprodutospage.InformarApNutricional();
        utilizacaodeprodutospage.ConfirmarAlteracoes();
        
    }
}
